
QGIS Application - Bug report #20206

issues on vertex selection with the new "edit vertex tool" in QGIS Master

2018-10-24 01:21 PM - Antonio Viscomi

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 28027

Description

Hi,

vertex editor don't hook the polygon boundary

I attach 3 screencast that show this issues:

- the first (vertex_1) show how is difficult (sometime impossible) to hook right a polygon you want to edit;

- I need to edit polygon 65592 but it is impossible to hook it without move a vertex of 65600;

- once the 65600 vertex has been moved it is possible to hook 65592. but 65600 it becomes unchallengeable (as shown in vertex_2);

the 3th one screencast show how easy it is to perform the same selection using QGIS 2

Regards

History

#1 - 2018-10-24 01:23 PM - Antonio Viscomi

- File vertex_1.avi added

- File vertex_2.avi added

- File vertex_QG2.avi added

Antonio Viscomi wrote:

Hi,

vertex editor don't hook the polygon boundary

I attach 3 screencast that show this issues:

- the first (vertex_1) show how is difficult (sometime impossible) to hook right a polygon you want to edit;

- I need to edit polygon 65592 but it is impossible to hook it without move a vertex of 65600;

- once the 65600 vertex has been moved it is possible to hook 65592. but 65600 it becomes unchallengeable (as shown in vertex_2);

the 3th one screencast show how easy it is to perform the same selection using QGIS 2

Regards

.avi screencasts

#2 - 2018-10-24 01:31 PM - Antonio Viscomi
- File Data_VE.7z.001 added

- File Data_VE.7z.002 added

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Hi,

vertex editor don't hook the polygon boundary

I attach 3 screencast that show this issues:

- the first (vertex_1) show how is difficult (sometime impossible) to hook right a polygon you want to edit;

- I need to edit polygon 65592 but it is impossible to hook it without move a vertex of 65600;

- once the 65600 vertex has been moved it is possible to hook 65592. but 65600 it becomes unchallengeable (as shown in vertex_2);

data

the 3th one screencast show how easy it is to perform the same selection using QGIS 2

Regards

.avi screencasts

#3 - 2018-10-24 01:34 PM - Giovanni Manghi

- Category changed from Editing to Digitising

I struggle to understand the problem even after having watched the screencasts.

Attaching a project with data possibly could help.

#4 - 2018-10-24 02:24 PM - Antonio Viscomi

- File Project vertex.qgz added

Giovanni Manghi wrote:

I struggle to understand the problem even after having watched the screencasts.

Attaching a project with data possibly could help.

the data are already attached

the problem is: How I can edit the vertex of 65592 in I don't touch his vertex?

I hope this hel you

#5 - 2018-10-24 02:25 PM - Antonio Viscomi
Antonio Viscomi wrote:

Giovanni Manghi wrote:

I struggle to understand the problem even after having watched the screencasts.

Attaching a project with data possibly could help.

the data are already attached

the problem is: How I can edit the vertex of 65592 if I don't be able to touch his vertex?

I hope this help you

#6 - 2018-10-24 02:31 PM - Giovanni Manghi

the data are already attached

opening the project asks for a layer that maybe was not attached here (or maybe was attached in a format I cannot open: fbr? 001? 002?).

#7 - 2018-10-24 02:43 PM - Antonio Viscomi

Giovanni Manghi wrote:

the data are already attached

opening the project asks for a layer that maybe was not attached here (or maybe was attached in a format I cannot open: fbr? 001? 002?).

The layer is in .7z (001 and 002) because too large (about 9MB)

#8 - 2018-10-24 02:44 PM - Antonio Viscomi

Antonio Viscomi wrote:

Giovanni Manghi wrote:

the data are already attached

opening the project asks for a layer that maybe was not attached here (or maybe was attached in a format I cannot open: fbr? 001? 002?).

The layer is in .7z (001 and 002) because too large (about 9MB)

.7z are 7zip files

#9 - 2018-10-24 02:45 PM - Giovanni Manghi
Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

the data are already attached

opening the project asks for a layer that maybe was not attached here (or maybe was attached in a format I cannot open: fbr? 001? 002?).

The layer is in .7z (001 and 002) because too large (about 9MB)

.7z are 7zip files

the project you attached ask for a layer that is not in that zip file.

#10 - 2018-10-24 02:48 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

the data are already attached

opening the project asks for a layer that maybe was not attached here (or maybe was attached in a format I cannot open: fbr? 001? 002?).

The layer is in .7z (001 and 002) because too large (about 9MB)

.7z are 7zip files

the project you attached ask for a layer that is not in that zip file.

However the labels in screencasta are FID of data file I attached

#11 - 2018-10-24 03:21 PM - Antonio Viscomi

- File Project vertex.qgz added

Antonio Viscomi wrote:

Giovanni Manghi wrote:

Antonio Viscomi wrote:

Antonio Viscomi wrote:
Giovanni Manghi wrote:

the data are already attached

opening the project asks for a layer that maybe was not attached here (or maybe was attached in a format I cannot open: fbr? 001? 002?).

The layer is in .7z (001 and 002) because too large (about 9MB)

.7z are 7zip files

the project you attached ask for a layer that is not in that zip file.

However the labels in screencasta are FID of data file I attached

this project ask for correct shapefile

sorry

#12 - 2018-10-24 03:33 PM - Antonio Viscomi

I try to summarise:

1 - I starded editing_

2 - I move the mouse on polygon 65592 to edit his vertex;

3 - vertex editor was able to select all other feature except 65592 or 28478:

4 - I zoomed in to try to hook the vertex of 65592 but oly 65600 vertex were selectable:

5 - I moved out a vertex of 65600 (reshaping it) then I became able to edit 65592;

6 - after these operations the vertex of 65600 have become unselectable

I hope it's clearer now

#13 - 2018-10-27 05:56 PM - Giovanni Manghi

- Regression? changed from Yes to No

- Status changed from Open to Feedback

- Priority changed from High to Normal

Antonio Viscomi wrote:

I try to summarise:

1 - I starded editing_

2 - I move the mouse on polygon 65592 to edit his vertex;

3 - vertex editor was able to select all other feature except 65592 or 28478:

4 - I zoomed in to try to hook the vertex of 65592 but oly 65600 vertex were selectable:

5 - I moved out a vertex of 65600 (reshaping it) then I became able to edit 65592;

6 - after these operations the vertex of 65600 have become unselectable

I see what you say, but anyway this is "solved" by first selecting (with the selection tool) the polygon you want to edit. This may be very well something that

was implemented by design. You should ask in the users/developers mailing lists, once you get a clear answer we can escalate (or close) this ticket.
#14 - 2018-10-27 07:16 PM - Antonio Viscomi

Giovanni Manghi wrote:

Antonio Viscomi wrote:

I try to summarise:

1 - I starded editing_

2 - I move the mouse on polygon 65592 to edit his vertex;

3 - vertex editor was able to select all other feature except 65592 or 28478:

4 - I zoomed in to try to hook the vertex of 65592 but oly 65600 vertex were selectable:

5 - I moved out a vertex of 65600 (reshaping it) then I became able to edit 65592;

6 - after these operations the vertex of 65600 have become unselectable

I see what you say, but anyway this is "solved" by first selecting (with the selection tool) the polygon you want to edit. This may be very well

something that was implemented by design. You should ask in the users/developers mailing lists, once you get a clear answer we can escalate (or

close) this ticket.

If it is solved i 3.4 ok I'll try It, 

but in older version 3.2.3 an 3.3 this of pre-selection does not works I'd also tried to select the polygon I need to edit (by select tool) but result remain the

same

#15 - 2018-10-27 07:24 PM - Giovanni Manghi

If it is solved i 3.4 ok I'll try It, 

but in older version 3.2.3 an 3.3 this of pre-selection does not works

I'm not saying it is solved, I'm saying that if you pre-select the polygon you want to work on it works.

Try 3.4, all the past versions are not relevant anymore.

#16 - 2018-10-27 07:28 PM - Antonio Viscomi

Giovanni Manghi wrote:

If it is solved i 3.4 ok I'll try It, 

but in older version 3.2.3 an 3.3 this of pre-selection does not works

I'm not saying it is solved, I'm saying that if you pre-select the polygon you want to work on it works.

Try 3.4, all the past versions are not relevant anymore.

Ok I'll try It

Many thanks

#17 - 2018-10-29 10:58 AM - Antonio Viscomi

Antonio Viscomi wrote:
Giovanni Manghi wrote:

If it is solved i 3.4 ok I'll try It, 

but in older version 3.2.3 an 3.3 this of pre-selection does not works

I'm not saying it is solved, I'm saying that if you pre-select the polygon you want to work on it works.

Try 3.4, all the past versions are not relevant anymore.

Ok I'll try It

Many thanks

Hi all,

I confirm this ticket can be closed because selection by selection tool, now (in 3.4)  make vertex selection able to select vertex

Many thanks

Regards

#18 - 2018-10-29 11:02 AM - Antonio Viscomi

Antonio Viscomi wrote:

Antonio Viscomi wrote:

Giovanni Manghi wrote:

If it is solved i 3.4 ok I'll try It, 

but in older version 3.2.3 an 3.3 this of pre-selection does not works

I'm not saying it is solved, I'm saying that if you pre-select the polygon you want to work on it works.

Try 3.4, all the past versions are not relevant anymore.

Ok I'll try It

Many thanks

Hi all,

I confirm this ticket can be closed because selection by selection tool, now (in 3.4)  make vertex selection able to select vertex

Many thanks

Regards

even if the qgis 2.x mode, ie clicking on the polygon (automatically select vertex) without having to select it in advance, I think was more functional and

intuitive

Greetings
#19 - 2018-10-29 09:09 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

even if the qgis 2.x mode, ie clicking on the polygon (automatically select vertex) without having to select it in advance, I think was more functional

and intuitive

I can't say I don't agree, but please raise your concerns to a wider audience, using the users/developers mailing lists.

#20 - 2018-10-30 11:13 AM - Antonio Viscomi

Giovanni Manghi wrote:

even if the qgis 2.x mode, ie clicking on the polygon (automatically select vertex) without having to select it in advance, I think was more functional

and intuitive

I can't say I don't agree, but please raise your concerns to a wider audience, using the users/developers mailing lists.

I opened a discussion we'll see

http://osgeo-org.1560.x6.nabble.com/Very-Important-Question-on-vertex-selection-mode-in-QGIS-3-4-tp5383726.html

Regards

Files

vertex_1.fbr 3.64 MB 2018-10-24 Antonio Viscomi

vertex_2.fbr 4.17 MB 2018-10-24 Antonio Viscomi

vertex_QG2.fbr 1.55 MB 2018-10-24 Antonio Viscomi

vertex_2.avi 1.27 MB 2018-10-24 Antonio Viscomi

vertex_1.avi 1.47 MB 2018-10-24 Antonio Viscomi

vertex_QG2.avi 1.02 MB 2018-10-24 Antonio Viscomi

Data_VE.7z.002 4.75 MB 2018-10-24 Antonio Viscomi

Data_VE.7z.001 5 MB 2018-10-24 Antonio Viscomi

Project vertex.qgz 4.62 KB 2018-10-24 Antonio Viscomi

Project vertex.qgz 4.83 KB 2018-10-24 Antonio Viscomi

2025-04-27 8/8

http://osgeo-org.1560.x6.nabble.com/Very-Important-Question-on-vertex-selection-mode-in-QGIS-3-4-tp5383726.html

